Source: node-wcwidth.js
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Suhail P <psuhailp@gmail.com>
Build-Depends:
 debhelper-compat (= 12)
 , dh-buildinfo
 , nodejs
Standards-Version: 3.9.8
Homepage: http://code.woong.org/wcwidth.js
Vcs-Git: https://salsa.debian.org/js-team/node-wcwidth.js.git
Vcs-Browser: https://salsa.debian.org/js-team/node-wcwidth.js

Package: node-wcwidth.js
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-defaults (>= 1.0.0)
Description: wcwidth.js is a javascript porting of C's wcwidth()
 wcwidth.js is a simple javascript porting of wcwidth()
 implemented in C by Markus Kuhn.
 .
 wcwidth() and its string version, wcswidth() are defined by
 IEEE Std 1002.1-2001, a.k.a. POSIX.1-2001, and return the
 number of columns used to represent a wide character and
 string on fixed-width output devices like terminals.
 Markus's implementation assumes wide characters to be
 encoded in ISO 10646, which is almost true for JavaScript;
 almost because JavaScript uses UCS-2 and has problems
 with surrogate pairs. wcwidth.js converts surrogate pairs
 to Unicode code points to handle them correctly.
 .
 Node.js is an event-based server-side JavaScript engine.
